Loading...
Searching...
No Matches
Ogre::TangentSpaceCalc::IndexRemap Struct Reference

Information about a remapped index. More...

`#include <OgreTangentSpaceCalc.h>`

## Public Member Functions

| IndexRemap ()
| IndexRemap (size_t i, size_t f, const VertexSplit &s)

## Public Attributes

size_t | faceIndex
| The position in the index buffer that's affected.
size_t | indexSet
| Index data set (can be >0 if more than one index data was added).
VertexSplit | splitVertex
| The old and new vertex index.

## Detailed Description

Information about a remapped index.

## Constructor & Destructor Documentation

## IndexRemap() [1/2]

Ogre::TangentSpaceCalc::IndexRemap::IndexRemap | ( |  | ) |

inline

## IndexRemap() [2/2]

Ogre::TangentSpaceCalc::IndexRemap::IndexRemap | ( | size_t | i,
|  | size_t | f,
|  | const VertexSplit & | s )

inline

References faceIndex, indexSet, and splitVertex.

## Member Data Documentation

## indexSet

size_t Ogre::TangentSpaceCalc::IndexRemap::indexSet

Index data set (can be >0 if more than one index data was added).

Referenced by IndexRemap().

## faceIndex

size_t Ogre::TangentSpaceCalc::IndexRemap::faceIndex

The position in the index buffer that's affected.

Referenced by IndexRemap().

## splitVertex

VertexSplit Ogre::TangentSpaceCalc::IndexRemap::splitVertex

The old and new vertex index.

Referenced by IndexRemap().

The documentation for this struct was generated from the following file:

- OgreTangentSpaceCalc.h